@charset "utf-8";
/* CSS - Computing: Applications Development — H6S9 46 - v2 */

/* globals */
*{box-sizing: border-box;}
img {max-width: 100%;}
#student-info {float: left; width: 100%; height: auto;}
#student-name, #student-school, #student-year {display: inline-block; border-left: solid 1px #bbb; padding: 0px 1em;}
.container {float: left; width: 100%; height: auto;}

/*default syles*/
body {background-color: #f2f2f2;}

#application {max-width: 360px; margin: 1em auto;}
#app-title {float: left; width: 80%; text-align: center;}
#nav-toggle {float: right; width: 35px; height: 35px; transform: rotate(90deg); text-align: center; cursor: pointer;}
#controls {width: 100%; display: none;}
#controls button {width: 100%; padding: 10px 10%; text-align: center;}
#btn-1 {background-color:beige }
#btn-2 {background-color: beige;}
#btn-3 {background-color: beige;}
#btn-4 {background-color: beige;}
#display-area {float: left; width: 100%; min-height: 50vh; margin: 2em 0px; padding: 2%; background-color: #fff;}
#quiz-display-area {width: 80%; min-height: 50vh; margin: 2em auto; background-color: #fff;} 
.modal-area {width: 60%; min-height: 200px; margin: 2em auto; border: solid 2px #000; text-align: center;}
    
#modal-1 {display: none;}
#modal-2 {display: none;}    
#modal-3 {display: none;}
#modal-4 {display: none;}
#modal-5 {display: none;}
#modal-6 {display: none;}
#modal-7 {display: none;}
#display-results {display: none;}


.section-title {text-align: center;}

.paras {background-color: #f2f2f2; padding: 5px;}

/*set section default display properties*/
#section-start {display: block;}
#section-1, #section-2, #section-3, #section-4, #section-5 {display: none;}
.content-area {display: none;}

/* global style for content-area*/
.content-area {float: left; width: 100%; min-height: 200px; padding: 1%; border: solid 2px #000;}

/*#section-start {background-image: url(../assets/images/welcomepage-bg.png; background-repeat: no-repeat; background-size: cover;)}*/

#section-start {background-image: url("../assets/images/welcomepage-bg.png"); background-repeat: no-repeat; background-size: cover;}
#section-1 {background-image: url("../assets/images/healthy-foods.jpg"); background-repeat: no-repeat; background-size: cover;}
#section-2 {background-image: url("../assets/images/exercise-img.jpg"); background-repeat: no-repeat; background-size: cover;}

/*------------------------------| RESPONSIVE CLASSES |------------------------------*/

.full-width {float: left; width: 100%; margin: 0; padding: 3%;}
.left {float: left; width: 46%; /*50% - 4%*/ margin: 2%; padding: 3%;}
.right {float: right; width: 46%; /*50% - 4%*/ margin: 2%; padding: 3%;}
.thirds {float: left; width: 29.33%; /*33.33% - 4%*/ margin: 2%; padding: 3%;}
.quarter {float: left; width: 21%; /*25% - 4%*/ margin: 2%; padding: 3%;}


/*------------------------------| BREAKPOINTS |------------------------------*/

/* x-large */
@media only screen and (max-width: 1200px) {

}

/* large */
@media only screen and (max-width: 1080px) {
    .quarter {float: left; width: 46%; /*50% - 4%*/}
	.thirds {float: left; width: 96%; /*33.33% - 4%*/}
	nav li {float: left; display: block; width: 100%;}
}

/* x-small */
@media only screen and (max-width: 576px) {
    .quarter {width: 96%; /*100% - 4%*/}
	.left, .right {width: 96%;}
    #controls, .content-area {width: 100%;}
}